//
//  MLAppDelegate.m
//  MacSimple
//
//  Created by MrLee on 14-9-4.
//  Copyright (c) 2014 PortSIP Solutions, Inc. All rights reserved.
//

#import "MLAppDelegate.h"
#import "MLMainViewController.h"

@interface MLAppDelegate()
@property (nonatomic, strong) MLMainViewController *mainViewController;
@end

@implementation MLAppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    self.mainViewController = [[MLMainViewController alloc] initWithNibName:@"MLMainViewController" bundle:nil];
    [self.window.contentView addSubview:self.mainViewController.view];
}

- (void)applicationWillTerminate:(NSNotification *)notification
{
    [self.mainViewController deRegisterFromServer];
}
@end
