//
//  MLSession.h
//  SIPSample
//
//  Created by MrLee on 14-9-9.
//  Copyright (c) 2014 PortSIP Solutions, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#define MAX_LINES 9
#define LINE_BASE 1
@interface MLSession : NSObject

@property (nonatomic, assign) long sessionId;
@property (nonatomic, assign) BOOL holdState;
@property (nonatomic, assign) BOOL sessionState;
@property (nonatomic, assign) BOOL conferenceState;
@property (nonatomic, assign) BOOL recvCallState;
@property (nonatomic, assign) BOOL isReferCall;
@property (nonatomic, assign) long originCallSessionId;
@property (nonatomic, assign) BOOL existEarlyMedia;
@property (nonatomic, assign) BOOL videoState;

- (void)reset;

- (void)setRefer:(BOOL)referCall withOriginCallSessionId:(long)originCallSessionId;
@end
