//
//  MLSession.m
//  SIPSample
//
//  Created by MrLee on 14-9-9.
//  Copyright (c) 2014 PortSIP Solutions, Inc. All rights reserved.
//

#import "MLSession.h"
#import <PortSIPSDK/PortSIPSDK.h>

@implementation MLSession

- (id)init
{
    if (self = [super init]) {
        [self reset];
    }
    return self;
}

- (void)reset
{
    self.sessionId = INVALID_SESSION_ID;
    self.holdState = NO;
    self.sessionState = NO;
    self.conferenceState = NO;
    self.recvCallState = NO;
    self.originCallSessionId = INVALID_SESSION_ID;
    self.isReferCall = NO;
    self.existEarlyMedia = NO;
    self.videoState = NO;
}

- (void)setRefer:(BOOL)referCall withOriginCallSessionId:(long)originCallSessionId
{
    self.isReferCall = referCall;
    self.originCallSessionId = originCallSessionId;
}
@end
