//
//  MLTransferWindowController.m
//  SIPSample
//
//  Created by MrLee on 14-9-10.
//  Copyright (c) 2014 PortSIP Solutions, Inc. All rights reserved.
//

#import "MLTransferWindowController.h"

@interface MLTransferWindowController ()
@property (weak) IBOutlet NSTextField *textFieldTransferTo;
@property (weak) IBOutlet NSComboBox *comboboxLine;

@end

@implementation MLTransferWindowController

- (id)initWithWindow:(NSWindow *)window
{
    self = [super initWithWindow:window];
    if (self) {
        // Initialization code here.
    }
    return self;
}

- (void)windowDidLoad
{
    [super windowDidLoad];
    
    // Implement this method to handle any initialization after your window controller's window has been loaded from its nib file.
}
- (IBAction)onTransfer:(id)sender {
    [[NSApplication sharedApplication] endSheet:self.window returnCode:NSModalResponseOK];
    [self.window orderOut:[NSApp mainWindow]];
    [self.transferDelegate onTransfer:_textFieldTransferTo.stringValue withLine:_comboboxLine.indexOfSelectedItem];
}

- (IBAction)cancelTransfer:(id)sender {
    [[NSApplication sharedApplication] endSheet:self.window returnCode:NSModalResponseCancel];
    [self.window orderOut:[NSApp mainWindow]];
}
@end
