//
//  MLMainViewController.h
//  SIPSample
//
//  Created by MrLee on 14-9-5.
//  Copyright (c) 2014 PortSIP Solutions, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Reachability.h"

typedef enum LOGIN_STATUS{
    LOGIN_STATUS_OFFLINE,
    LOGIN_STATUS_REGISTERING,
    LOGIN_STATUS_ONLINE,
    LOGIN_STATUS_FAILUE,
}LOGIN_STATUS;


@interface MLMainViewController : NSViewController
@property (nonatomic,strong) NetworkReachability reachabilityBlock;
@property (assign) BOOL mNetWorkReachable;
@property (assign) LOGIN_STATUS sipRegistrationStatus;
- (void)deRegisterFromServer;
@end
