//
//  MLTransferWindowController.h
//  SIPSample
//
//  Created by MrLee on 14-9-10.
//  Copyright (c) 2014 PortSIP Solutions, Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol MLTransferWindowControllerDelegate <NSObject>

- (void)onTransfer:(NSString *)transferTo withLine:(NSInteger)line;

@end

@interface MLTransferWindowController : NSWindowController

@property (nonatomic, weak) id<MLTransferWindowControllerDelegate> transferDelegate;
@end
